Определить версии TLS, поддерживаемые curl

Pacman сохраняет важные файлы конфигурации при удалении определенных приложений и называет их расширением :.pacsave. Чтобы предотвратить создание этих файлов резервных копий, используйте параметр -n :

.
# pacman -Rn package_name

Примечание.:Pacman не будет удалять конфигурации, созданные самим приложением (, например, «dotfiles» в домашней папке ).

По сути, pacman не удалит эти файлы конфигурации в Домашней папке, вам придется удалить их вручную. Эти пакеты, созданные приложением, не влияют на систему после удаления пакета, поэтому он не причинит никакого вреда. Вот как это работает.

Обычно все файлы конфигурации, созданные приложениями, находятся в папке ~/config. Вы можете просто ввести терминал rm -rи перетащить папки в терминал и нажать «Ввод» или что-то еще, что вам больше подходит.

0
11.10.2021, 17:20
1 ответ

Попробуйте:

curl --tlsv1.2 --silent --connect-timeout 1 --url 'http://localhost:1' 2>/dev/null
if [[ $? -eq 2 ]]; then # 2 == CURLE_FAILED_INIT
    echo "TLS 1.2 protocol not supported by this cURL version"
fi
0
11.10.2021, 18:56

Теги

Похожие вопросы